import { FadCustomization, FadCustomizationProperties } from './fad-customization';
export declare class DefaultCustomization implements FadCustomization {
    fadCustomization: FadCustomizationProperties;
    moduleCustomization: ModuleCustomizationProperties;
    constructor();
}
export interface ModuleCustomizationProperties {
    legends?: ModuleCustomizationLegends;
}
export interface ModuleCustomizationLegends {
    initializing?: string;
    processing?: string;
    scan?: ModuleCustomizationLegendsScan;
    manualCapture?: ModuleCustomizationLegendsManualCapture;
}
export interface ModuleCustomizationLegendsScan {
    none: string;
    smallDocument: string;
    goodDocument: string;
    capturing: string;
    tapToCapture: string;
}
export interface ModuleCustomizationLegendsManualCapture {
    instruction: string;
    buttonNext: string;
}
