export interface FadCustomization {
    fadCustomization: FadCustomizationProperties;
}
export interface FadCustomizationProperties {
    colors?: FadCustomizationColors;
    buttons?: FadCustomizationButtons;
    fonts?: FadCustomizationFonts;
}
export interface FadCustomizationColors {
    primary?: string;
    secondary?: string;
    tertiary?: string;
}
export interface FadCustomizationButtons {
    primary?: FadCustomizationButton;
    secondary?: FadCustomizationButton;
    common?: FadCustomizationButtonCommon;
}
export interface FadCustomizationButton {
    backgroundColor?: string;
    backgroundColorDisabled?: string;
    labelColor?: string;
    labelColorDisabled?: string;
    border?: string;
}
export interface FadCustomizationButtonCommon {
    height?: string;
    width?: string;
    borderRadius?: string;
    padding?: string;
    margin?: string;
    outline?: string;
}
export interface FadCustomizationFonts {
    title?: FadCustomizationFontProperties;
    subtitle?: FadCustomizationFontProperties;
    content?: FadCustomizationFontProperties;
    informative?: FadCustomizationFontProperties;
    button?: FadCustomizationFontProperties;
}
export interface FadCustomizationFontProperties {
    fontFamily?: string;
    fontSize?: string;
}
