import { DefaultCustomization, AcuantDocument, AcuantResultIdData } from './../models/';
export declare class Utils {
    static cameraOff(stream: MediaStream): void;
    static setCustomizationStyle(customization: DefaultCustomization): void;
    static removeCustomizationStyle(): void;
    static isIOS(): boolean;
    static loadScript(path: string, id: string): Promise<void>;
    static createScript(content: string, id: string): Promise<void>;
    static removeScripts(scripts: string[]): void;
    static convertBase64ToBinary(imageBase64: string): Uint8Array;
    static parseIdData(acuantDocument: AcuantDocument): AcuantResultIdData;
    static mergeConfiguration(target: any, ...sources: any[]): any;
}
