(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/animations'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('ng-fad-acuant', ['exports', '@angular/core', '@angular/animations', '@angular/common'], factory) :
    (global = global || self, factory(global['ng-fad-acuant'] = {}, global.ng.core, global.ng.animations, global.ng.common));
}(this, (function (exports, core, animations, common) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __createBinding(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        o[k2] = m[k];
    }

    function __exportStar(m, exports) {
        for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }

    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var ACUANT_ALERT;
    (function (ACUANT_ALERT) {
        ACUANT_ALERT["BIRTHDATE_VALID"] = "Birth Date Valid";
        ACUANT_ALERT["DOCUMENT_CLASSIFICATION"] = "Document Classification";
        ACUANT_ALERT["DOCUMENT_EXPIRED"] = "Document Expired";
        ACUANT_ALERT["EXPIRATION_DATE_VALID"] = "Expiration Date Valid";
        ACUANT_ALERT["IMAGE_TAMPERING_CHECK"] = "Image Tampering Check";
        ACUANT_ALERT["ISSUE_DATE_VALID"] = "Issue Date Valid";
        ACUANT_ALERT["PHYSICAL_DOCUMENT_PRESENCE"] = "Physical Document Presence";
        ACUANT_ALERT["BARCODE_READ"] = "2DBarcodeRead";
        ACUANT_ALERT["VISIBLE_PATTERN"] = "Visible Pattern";
        ACUANT_ALERT["VISIBLE_PATTERN_1"] = "Visible Pattern 1";
        ACUANT_ALERT["VISIBLE_PATTERN_2"] = "Visible Pattern 2";
        ACUANT_ALERT["VISIBLE_PATTERN_3"] = "Visible Pattern 3";
        ACUANT_ALERT["VISIBLE_PATTERN_4"] = "Visible Pattern 4";
        ACUANT_ALERT["VISIBLE_PATTERN_5"] = "Visible Pattern 5";
        ACUANT_ALERT["VISIBLE_PATTERN_6"] = "Visible Pattern 6";
    })(ACUANT_ALERT || (ACUANT_ALERT = {}));

    var ACUANT_FIELD;
    (function (ACUANT_FIELD) {
        ACUANT_FIELD["ADDRESS"] = "Address";
        ACUANT_FIELD["ADDRESS_CITY"] = "Address City";
        ACUANT_FIELD["ADDRESS_LINE_1"] = "Address Line 1";
        ACUANT_FIELD["ADDRESS_LINE_2"] = "Address Line 2";
        ACUANT_FIELD["ADDRESS_POSTAL_CODE"] = "Address Postal Code";
        ACUANT_FIELD["BACK_NUMBER"] = "Back Number";
        ACUANT_FIELD["BACK_SECCION"] = "Back Seccion";
        ACUANT_FIELD["BIRTH_DATE"] = "Birth Date";
        ACUANT_FIELD["CURP"] = "CURP";
        ACUANT_FIELD["DOCUMENT_CLASS_NAME"] = "Document Class Name";
        ACUANT_FIELD["DOCUMENT_NUMBER"] = "Document Number";
        ACUANT_FIELD["EXPIRATION_DATE"] = "Expiration Date";
        ACUANT_FIELD["EXTRACTED_BIRTH_DATE_STRING"] = "Extracted Birth Date String";
        ACUANT_FIELD["FATHERS_SURNAME"] = "Father's Surname";
        ACUANT_FIELD["FINGERPRINT"] = "Fingerprint";
        ACUANT_FIELD["FIRST_NAME"] = "First Name";
        ACUANT_FIELD["FRONT_SECCION"] = "Front Seccion";
        ACUANT_FIELD["FULL_NAME"] = "Full Name";
        ACUANT_FIELD["GIVEN_NAME"] = "Given Name";
        ACUANT_FIELD["ISSUE_DATE"] = "Issue Date";
        ACUANT_FIELD["ISSUING_STATE_CODE"] = "Issuing State Code";
        ACUANT_FIELD["ISSUING_STATE_NAME"] = "Issuing State Name";
        ACUANT_FIELD["MIDDLE_NAME"] = "Middle Name";
        ACUANT_FIELD["MOTHERS_SURNAME"] = "Mother's Surname";
        ACUANT_FIELD["PERSONAL_NUMBER"] = "Personal Number";
        ACUANT_FIELD["PHOTO"] = "Photo";
        ACUANT_FIELD["REGISTRATION_DATE"] = "Registration Date";
        ACUANT_FIELD["REGISTRATION_YEAR"] = "Registration Year";
        ACUANT_FIELD["REGISTRATION_YEAR_AND_VERIFICATION_NUMBER"] = "Registration Year and Verification Number";
        ACUANT_FIELD["SEX"] = "Sex";
        ACUANT_FIELD["SIGNATURE"] = "Signature";
        ACUANT_FIELD["SURNAME"] = "Surname";
        ACUANT_FIELD["VERIFICATION_NUMBER"] = "Verification Number";
    })(ACUANT_FIELD || (ACUANT_FIELD = {}));

    // transitions
    var FADE_IN_OUT_TRANSITION = animations.animation([
        animations.style({ opacity: '{{ start }}' }),
        animations.animate('{{ time }}', animations.style({ opacity: '{{ end }}' }))
    ], { params: { time: '1000ms', start: 0, end: 1 } });
    var LEFT_TO_RIGHT_TRANSITION = animations.animation([
        animations.style({ transform: 'translateX(-100%)', opacity: '0' }),
        animations.animate('{{ time }}', animations.style({ transform: 'translateX(0)', opacity: '1' }))
    ], { params: { time: '400ms' } });
    var UP_TO_DOWN_TRANSITION = animations.animation([
        animations.style({ height: '0', opacity: '0' }),
        animations.animate('{{ time }}', animations.style({ height: '*', opacity: '1' }))
    ], { params: { time: '1500ms' } });
    var LEFT_TO_RIGHT_APPEAR_TRANSITION = animations.animation([
        animations.style({ width: '0%', opacity: '1' }),
        animations.animate('{{ time }}', animations.style({ width: '100%', opacity: '1' }))
    ], { params: { time: '15000ms' } });
    // animations
    var FADE_IN_OUT_ANIMATION = animations.trigger('fadeInOut', [
        animations.transition(':enter', [FADE_IN_OUT_TRANSITION])
    ]);
    var LEFT_TO_RIGHT_ANIMATION = animations.trigger('leftToRight', [
        animations.transition(':enter', [LEFT_TO_RIGHT_TRANSITION])
    ]);
    var UP_TO_DOWN_ANIMATION = animations.trigger('upToDown', [
        animations.transition(':enter', [UP_TO_DOWN_TRANSITION])
    ]);
    var LEFT_TO_RIGHT_APPEAR_ANIMATION = animations.trigger('leftToRightAppear', [
        animations.transition(':enter', [LEFT_TO_RIGHT_APPEAR_TRANSITION])
    ]);

    var CONFIGURATION_DEFAULT = {
        customization: {
            fadCustomization: {
                colors: {
                    primary: '#A70635',
                    secondary: '#A70635',
                    tertiary: '#363636',
                },
                buttons: {
                    primary: {
                        backgroundColor: '#A70635',
                        backgroundColorDisabled: '#dcdcdc',
                        labelColor: '#ffffff',
                        labelColorDisabled: '#8e8e8e',
                        border: '1px solid #A70635',
                    },
                    secondary: {
                        backgroundColor: '#363636ad',
                        backgroundColorDisabled: '#dcdcdc',
                        labelColor: '#ffffff',
                        labelColorDisabled: '#8e8e8e',
                        border: '1px solid #ffffff',
                    },
                    common: {
                        height: '50px',
                        width: '95%',
                        borderRadius: '10px',
                        padding: '1px 5px',
                        margin: '0px',
                        outline: 'none',
                    },
                },
                fonts: {
                    title: {
                        fontSize: '25px',
                        fontFamily: 'system-ui',
                    },
                    subtitle: {
                        fontSize: '17px',
                        fontFamily: 'system-ui',
                    },
                    content: {
                        fontSize: '15px',
                        fontFamily: 'system-ui',
                    },
                    informative: {
                        fontSize: '12px',
                        fontFamily: 'system-ui',
                    },
                    button: {
                        fontSize: '17px',
                        fontFamily: 'system-ui',
                    },
                },
            },
            moduleCustomization: {
                legends: {
                    initializing: 'iniciando',
                    processing: 'procesando',
                    scan: {
                        none: 'ENFOCA TU ID SOBRE LA GUÍA',
                        smallDocument: 'ACERCATE MÁS',
                        goodDocument: null,
                        capturing: 'CAPTURANDO',
                        tapToCapture: 'TOCA LA PANTALLA PARA CAPTURAR'
                    },
                    manualCapture: {
                        instruction: 'Captura el frente de tu identificación',
                        buttonNext: 'Continuar'
                    }
                },
            },
        },
        instance: {
            AuthentsicationSensitivity: 0,
            ClassificationMode: 0,
            Device: {
                HasContactlessChipReader: false,
                HasMagneticStripeReader: false,
                SerialNumber: 'JavaScriptWebSDK 11.5.1',
                Type: {
                    Manufacturer: 'xxx',
                    Model: 'xxx',
                    SensorType: 3,
                },
            },
            ImageCroppingExpectedSize: 0,
            ImageCroppingMode: 0,
            ManualDocumentType: null,
            ProcessMode: 0,
            SubscriptionId: '',
        },
        pathDependencies: {
            acuantDirectory: './assets/third-party/acuant/',
            imageDirectory: './assets/images/fad-acuant/'
        },
    };

    var ENDPOINTS = {
        DOCUMENT: '/AssureIDService/Document/',
        NEW_INSTANCE: 'Instance',
        UPLOAD_IMAGE_SIDE: '/Image?side=',
        UPLOAD_IMAGE_METRICS: '&light=0&metrics=true',
    };

    var getErrorDescription = function (code) {
        switch (code) {
            case -1:
                return 'Las credenciales son requeridas';
            case -2:
                return 'Error al inicializar acuant, una de las posibles causas son las credenciales incorrectas';
            case -3:
                return 'Cámara no soportada';
            case -4:
                return 'Error al inicializar la UI de acuant';
            case -5:
                return 'Error al crear una instancia del documento para otener el OCR, una de las posibles causas son las credenciales incorrectas';
            case -6:
                return 'Error al subir la imagen para obtener el OCR';
            case -7:
                return 'Error al obtener el OCR';
            case -8:
                return 'Error al obtener la imagen del rostro de la identificación';
            case -9:
                return 'No se encontró la url para obtener la imagen del rostro de la identificación';
            case -10:
                return 'No se encontró la imagen del rostro en la idetificación';
            case -11:
                return 'Error al obtener los recursos necesarios para inicializar el SDK';
            case -12:
                return 'Error inesperado en acuant, el detalle se muestra en la consola';
            default:
                return 'unknown error';
        }
    };

    var ErrorCode;
    (function (ErrorCode) {
        ErrorCode[ErrorCode["REQUIRED_CREDENTIALS"] = -1] = "REQUIRED_CREDENTIALS";
        ErrorCode[ErrorCode["FAIL_INITIALIZATION"] = -2] = "FAIL_INITIALIZATION";
        ErrorCode[ErrorCode["UNSUPPORTED_CAMERA"] = -3] = "UNSUPPORTED_CAMERA";
        ErrorCode[ErrorCode["FAIL_INITIALIZATION_CAMERA_UI"] = -4] = "FAIL_INITIALIZATION_CAMERA_UI";
        ErrorCode[ErrorCode["FAIL_CREATION_INSTANCE_DOCUMENT"] = -5] = "FAIL_CREATION_INSTANCE_DOCUMENT";
        ErrorCode[ErrorCode["FAIL_UPLOAD_IMAGE"] = -6] = "FAIL_UPLOAD_IMAGE";
        ErrorCode[ErrorCode["FAIL_GET_OCR"] = -7] = "FAIL_GET_OCR";
        ErrorCode[ErrorCode["FAIL_GET_FACE_IMAGE"] = -8] = "FAIL_GET_FACE_IMAGE";
        ErrorCode[ErrorCode["FACE_IMAGE_URL_NOT_FOUND"] = -9] = "FACE_IMAGE_URL_NOT_FOUND";
        ErrorCode[ErrorCode["FACE_IMAGE_NOT_FOUND"] = -10] = "FACE_IMAGE_NOT_FOUND";
        ErrorCode[ErrorCode["RESOURCES_COULD_NOT_BE_LOADED"] = -11] = "RESOURCES_COULD_NOT_BE_LOADED";
        ErrorCode[ErrorCode["UNEXPECTED_ACUANT_ERROR"] = -12] = "UNEXPECTED_ACUANT_ERROR";
    })(ErrorCode || (ErrorCode = {}));

    var AcuantService = /** @class */ (function () {
        function AcuantService() {
        }
        AcuantService.prototype.createInstance = function (url, data, token) {
            var URL = "" + url + ENDPOINTS.DOCUMENT + ENDPOINTS.NEW_INSTANCE;
            return fetch(URL, {
                method: 'POST',
                headers: {
                    Authorization: "Basic " + token,
                    Accept: 'application/json',
                    'Content-Type': 'application/json',
                },
                body: JSON.stringify(data),
            }).then(function (response) { return response.json(); });
        };
        AcuantService.prototype.uploadImage = function (url, instance, token, data, side) {
            var URL = "" + url + ENDPOINTS.DOCUMENT + instance + ENDPOINTS.UPLOAD_IMAGE_SIDE + side + ENDPOINTS.UPLOAD_IMAGE_METRICS;
            return fetch(URL, {
                method: 'POST',
                headers: {
                    Authorization: "Basic " + token,
                    'Content-Type': data.type
                },
                body: data,
            }).then(function (response) {
                if (!response.ok)
                    throw Error(response.status + ": " + response.statusText);
            });
        };
        AcuantService.prototype.getOcr = function (url, instance, token) {
            var URL = "" + url + ENDPOINTS.DOCUMENT + instance;
            return fetch(URL, {
                method: 'GET',
                headers: {
                    Authorization: "Basic " + token,
                    Accept: 'application/json',
                },
            }).then(function (response) { return response.json(); });
        };
        AcuantService.prototype.getFaceImage = function (url, token) {
            return __awaiter(this, void 0, void 0, function () {
                var response, blob;
                var _this = this;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, fetch(url, {
                                method: 'GET',
                                headers: {
                                    Authorization: "Basic " + token
                                },
                            })];
                        case 1:
                            response = _a.sent();
                            return [4 /*yield*/, response.blob()];
                        case 2:
                            blob = _a.sent();
                            return [2 /*return*/, new Promise(function (resolve, reject) {
                                    var reader = new FileReader();
                                    reader.onloadend = function () { return resolve(reader.result); };
                                    reader.onerror = function () { return reject(_this); };
                                    reader.readAsDataURL(blob);
                                })];
                    }
                });
            });
        };
        AcuantService.ɵprov = core.ɵɵdefineInjectable({ factory: function AcuantService_Factory() { return new AcuantService(); }, token: AcuantService, providedIn: "root" });
        AcuantService = __decorate([
            core.Injectable({
                providedIn: 'root',
            })
        ], AcuantService);
        return AcuantService;
    }());

    var AcuantResultIdData = /** @class */ (function () {
        function AcuantResultIdData() {
        }
        return AcuantResultIdData;
    }());

    // implements fad customization common
    var DefaultCustomization = /** @class */ (function () {
        function DefaultCustomization() {
            // fad
            this.fadCustomization = {};
            this.fadCustomization.colors = {};
            this.fadCustomization.buttons = {};
            this.fadCustomization.buttons.primary = {};
            this.fadCustomization.buttons.secondary = {};
            this.fadCustomization.buttons.common = {};
            this.fadCustomization.fonts = {};
            this.fadCustomization.fonts.title = {};
            this.fadCustomization.fonts.subtitle = {};
            this.fadCustomization.fonts.button = {};
            this.fadCustomization.fonts.informative = {};
            this.fadCustomization.fonts.content = {};
            // module
            this.moduleCustomization = {};
            this.moduleCustomization.legends = {};
        }
        return DefaultCustomization;
    }());

    var ResponseError = /** @class */ (function () {
        function ResponseError(code) {
            this.error = getErrorDescription(code);
            this.code = code;
        }
        return ResponseError;
    }());

    var Utils = /** @class */ (function () {
        function Utils() {
        }
        Utils.cameraOff = function (stream) {
            if (stream)
                stream.getTracks().forEach(function (track) { return track.stop(); });
        };
        Utils.setCustomizationStyle = function (customization) {
            var setVariableCss = function (name, value) {
                document.documentElement.style.setProperty(name, value);
            };
            // fad commons
            // primary color
            setVariableCss('--fad-common-primary-color', customization.fadCustomization.colors.primary);
            setVariableCss('--fad-common-secondary-color', customization.fadCustomization.colors.secondary);
            setVariableCss('--fad-common-tertiary-color', customization.fadCustomization.colors.tertiary);
            // button
            // button primary
            setVariableCss('--fad-common-primary-button-background-color', customization.fadCustomization.buttons.primary.backgroundColor);
            setVariableCss('--fad-common-primary-button-background-color-disabled', customization.fadCustomization.buttons.primary.backgroundColorDisabled);
            setVariableCss('--fad-common-primary-button-label-color', customization.fadCustomization.buttons.primary.labelColor);
            setVariableCss('--fad-common-primary-button-label-color-disabled', customization.fadCustomization.buttons.primary.labelColorDisabled);
            setVariableCss('--fad-common-primary-button-border', customization.fadCustomization.buttons.primary.border);
            // button secondary
            setVariableCss('--fad-common-secondary-button-background-color', customization.fadCustomization.buttons.secondary.backgroundColor);
            setVariableCss('--fad-common-secondary-button-background-color-disabled', customization.fadCustomization.buttons.secondary.backgroundColorDisabled);
            setVariableCss('--fad-common-secondary-button-label-color', customization.fadCustomization.buttons.secondary.labelColor);
            setVariableCss('--fad-common-secondary-button-label-color-disabled', customization.fadCustomization.buttons.secondary.labelColorDisabled);
            setVariableCss('--fad-common-secondary-button-border', customization.fadCustomization.buttons.secondary.border);
            // button common
            setVariableCss('--fad-common-button-common-width', customization.fadCustomization.buttons.common.width);
            setVariableCss('--fad-common-button-common-height', customization.fadCustomization.buttons.common.height);
            setVariableCss('--fad-common-button-common-border-radius', customization.fadCustomization.buttons.common.borderRadius);
            setVariableCss('--fad-common-button-common-padding', customization.fadCustomization.buttons.common.padding);
            setVariableCss('--fad-common-button-common-margin', customization.fadCustomization.buttons.common.margin);
            setVariableCss('--fad-common-button-common-outline', customization.fadCustomization.buttons.common.outline);
            // fonts
            setVariableCss('--fad-common-title-font-size', customization.fadCustomization.fonts.title.fontSize);
            setVariableCss('--fad-common-title-font-family', customization.fadCustomization.fonts.title.fontFamily);
            setVariableCss('--fad-common-subtitle-font-size', customization.fadCustomization.fonts.subtitle.fontSize);
            setVariableCss('--fad-common-subtitle-font-family', customization.fadCustomization.fonts.subtitle.fontFamily);
            setVariableCss('--fad-common-content-font-size', customization.fadCustomization.fonts.content.fontSize);
            setVariableCss('--fad-common-content-font-family', customization.fadCustomization.fonts.content.fontFamily);
            setVariableCss('--fad-common-informative-font-size', customization.fadCustomization.fonts.informative.fontSize);
            setVariableCss('--fad-common-informative-font-family', customization.fadCustomization.fonts.informative.fontFamily);
            setVariableCss('--fad-common-button-font-size', customization.fadCustomization.fonts.button.fontSize);
            setVariableCss('--fad-common-button-font-family', customization.fadCustomization.fonts.button.fontFamily);
        };
        Utils.removeCustomizationStyle = function () {
            window.document.documentElement.setAttribute('style', '');
        };
        Utils.isIOS = function () {
            return (navigator.userAgent.indexOf('iPhone') > 0 ||
                navigator.userAgent.indexOf('iPad') > 0 ||
                (navigator.userAgent.indexOf('Macintosh') > -1 && 'ontouchend' in document));
        };
        Utils.loadScript = function (path, id) {
            // separate in two parts because angular not support arrow function in static method
            var promise = new Promise(function (resolve, reject) {
                var script = document.createElement('script');
                script.type = 'text/javascript';
                script.src = path;
                script.async = false;
                script.defer = true;
                script.id = id;
                script.onload = function () { return resolve(); };
                script.onerror = function (error) { return reject(error); };
                document.getElementsByTagName('head')[0].appendChild(script);
            });
            return promise;
        };
        Utils.createScript = function (content, id) {
            // separate in two parts because angular not support arrow function in static method
            var promise = new Promise(function (resolve, reject) {
                var script = document.createElement('script');
                script.type = 'text/javascript';
                script.text = content;
                script.async = false;
                script.id = id;
                script.onload = function () { return resolve(); };
                script.onerror = function (error) { return reject(error); };
                document.getElementsByTagName('head')[0].appendChild(script);
            });
            return promise;
        };
        Utils.removeScripts = function (scripts) {
            scripts.forEach(function (element) {
                var script = document.getElementById(element);
                document.getElementById(element).parentNode.removeChild(script);
            });
        };
        Utils.convertBase64ToBinary = function (imageBase64) {
            var base64 = imageBase64.replace(/^data[^,]+,/, '');
            return Uint8Array.from(atob(base64), function (c) { return c.charCodeAt(0); });
        };
        Utils.parseIdData = function (acuantDocument) {
            var _a, _b, e_1, _c, e_2, _d;
            var ocr = {};
            var validation = {};
            var acuantField = (_a = {},
                _a[ACUANT_FIELD.ADDRESS] = function (value) { return ocr.address = value; },
                _a[ACUANT_FIELD.ADDRESS_CITY] = function (value) { return ocr.addressCity = value; },
                _a[ACUANT_FIELD.ADDRESS_LINE_1] = function (value) { return ocr.addressLine1 = value; },
                _a[ACUANT_FIELD.ADDRESS_LINE_2] = function (value) { return ocr.addressLine2 = value; },
                _a[ACUANT_FIELD.ADDRESS_POSTAL_CODE] = function (value) { return ocr.addressPostalCode = value; },
                _a[ACUANT_FIELD.BACK_NUMBER] = function (value) { return ocr.backNumber = value; },
                _a[ACUANT_FIELD.BACK_SECCION] = function (value) { return ocr.backSeccion = value; },
                _a[ACUANT_FIELD.BIRTH_DATE] = function (value) { return ocr.birthDate = value; },
                _a[ACUANT_FIELD.CURP] = function (value) { return ocr.curp = value; },
                _a[ACUANT_FIELD.DOCUMENT_CLASS_NAME] = function (value) { return ocr.documentClassName = value; },
                _a[ACUANT_FIELD.DOCUMENT_NUMBER] = function (value) { return ocr.documentNumber = value; },
                _a[ACUANT_FIELD.EXPIRATION_DATE] = function (value) { return ocr.expirationDate = value; },
                _a[ACUANT_FIELD.EXTRACTED_BIRTH_DATE_STRING] = function (value) { return ocr.extractedBirthDate = value; },
                _a[ACUANT_FIELD.FATHERS_SURNAME] = function (value) { return ocr.fathersSurname = value; },
                _a[ACUANT_FIELD.FINGERPRINT] = function (value) { return ocr.fingerprint = value; },
                _a[ACUANT_FIELD.FIRST_NAME] = function (value) { return ocr.firstName = value; },
                _a[ACUANT_FIELD.FRONT_SECCION] = function (value) { return ocr.frontSeccion = value; },
                _a[ACUANT_FIELD.FULL_NAME] = function (value) { return ocr.fullName = value; },
                _a[ACUANT_FIELD.GIVEN_NAME] = function (value) { return ocr.givenName = value; },
                _a[ACUANT_FIELD.ISSUE_DATE] = function (value) { return ocr.issueDate = value; },
                _a[ACUANT_FIELD.ISSUING_STATE_CODE] = function (value) { return ocr.issuingStateCode = value; },
                _a[ACUANT_FIELD.ISSUING_STATE_NAME] = function (value) { return ocr.issuingStateCode = value; },
                _a[ACUANT_FIELD.MIDDLE_NAME] = function (value) { return ocr.middleName = value; },
                _a[ACUANT_FIELD.MOTHERS_SURNAME] = function (value) { return ocr.mothersSurname = value; },
                _a[ACUANT_FIELD.PERSONAL_NUMBER] = function (value) { return ocr.personalNumber = value; },
                _a[ACUANT_FIELD.PHOTO] = function (value) { return ocr.photo = value; },
                _a[ACUANT_FIELD.REGISTRATION_DATE] = function (value) { return ocr.registrationDate = value; },
                _a[ACUANT_FIELD.REGISTRATION_YEAR] = function (value) { return ocr.registrationYear = value; },
                _a[ACUANT_FIELD.REGISTRATION_YEAR_AND_VERIFICATION_NUMBER] = function (value) { return ocr.registrationYearAndVerificationNumber = value; },
                _a[ACUANT_FIELD.SEX] = function (value) { return ocr.sex = value; },
                _a[ACUANT_FIELD.VERIFICATION_NUMBER] = function (value) { return ocr.verificationNumber = value; },
                _a[ACUANT_FIELD.SURNAME] = function (value) { return ocr.surname = value; },
                _a);
            var acuantAlert = (_b = {},
                _b[ACUANT_ALERT.BARCODE_READ] = function (value) { return validation.barcodeRead = value; },
                _b[ACUANT_ALERT.BIRTHDATE_VALID] = function (value) { return validation.birthDateValid = value; },
                _b[ACUANT_ALERT.DOCUMENT_CLASSIFICATION] = function (value) { return validation.documentClassification = value; },
                _b[ACUANT_ALERT.DOCUMENT_EXPIRED] = function (value) { return validation.documentExpired = value; },
                _b[ACUANT_ALERT.EXPIRATION_DATE_VALID] = function (value) { return validation.expirationDateValid = value; },
                _b[ACUANT_ALERT.IMAGE_TAMPERING_CHECK] = function (value) { return validation.imageTamperingCheck = value; },
                _b[ACUANT_ALERT.ISSUE_DATE_VALID] = function (value) { return validation.issueDateValid = value; },
                _b[ACUANT_ALERT.PHYSICAL_DOCUMENT_PRESENCE] = function (value) { return validation.physicalDocumentPresence = value; },
                _b[ACUANT_ALERT.VISIBLE_PATTERN_1] = function (value) { return validation.visiblePattern1 = value; },
                _b[ACUANT_ALERT.VISIBLE_PATTERN_2] = function (value) { return validation.visiblePattern2 = value; },
                _b[ACUANT_ALERT.VISIBLE_PATTERN_3] = function (value) { return validation.visiblePattern3 = value; },
                _b[ACUANT_ALERT.VISIBLE_PATTERN_4] = function (value) { return validation.visiblePattern4 = value; },
                _b[ACUANT_ALERT.VISIBLE_PATTERN_5] = function (value) { return validation.visiblePattern5 = value; },
                _b[ACUANT_ALERT.VISIBLE_PATTERN_6] = function (value) { return validation.visiblePattern6 = value; },
                _b);
            if (acuantDocument && acuantDocument.Fields) {
                try {
                    for (var _e = __values(acuantDocument.Fields), _f = _e.next(); !_f.done; _f = _e.next()) {
                        var field = _f.value;
                        if (acuantField[field.Key]) {
                            acuantField[field.Key](field.Value);
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_f && !_f.done && (_c = _e.return)) _c.call(_e);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }
            if (acuantDocument && acuantDocument.Alerts) {
                var countVisiblePattern_1 = 1;
                acuantDocument.Alerts.map(function (alert, index) {
                    if (alert.Key === ACUANT_ALERT.VISIBLE_PATTERN) {
                        alert.Key = alert.Key + " " + countVisiblePattern_1;
                        countVisiblePattern_1++;
                    }
                });
                try {
                    for (var _g = __values(acuantDocument.Alerts), _h = _g.next(); !_h.done; _h = _g.next()) {
                        var alert_1 = _h.value;
                        if (acuantAlert[alert_1.Key]) {
                            acuantAlert[alert_1.Key](alert_1.Name + "; " + alert_1.Information + "; " + alert_1.Actions + "; " + alert_1.Disposition + "; " + alert_1.Result);
                        }
                    }
                }
                catch (e_2_1) { e_2 = { error: e_2_1 }; }
                finally {
                    try {
                        if (_h && !_h.done && (_d = _g.return)) _d.call(_g);
                    }
                    finally { if (e_2) throw e_2.error; }
                }
            }
            return { ocr: ocr, validation: validation };
        };
        Utils.mergeConfiguration = function (target) {
            var _a, _b;
            var sources = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                sources[_i - 1] = arguments[_i];
            }
            var isObject = function (item) {
                return (item && typeof item === 'object' && !Array.isArray(item));
            };
            if (!sources.length)
                return target;
            var source = sources.shift();
            if (isObject(target) && isObject(source)) {
                for (var key in source) {
                    if (isObject(source[key])) {
                        if (!target[key])
                            Object.assign(target, (_a = {}, _a[key] = {}, _a));
                        this.mergeConfiguration(target[key], source[key]);
                    }
                    else {
                        Object.assign(target, (_b = {}, _b[key] = source[key], _b));
                    }
                }
            }
            return this.mergeConfiguration.apply(this, __spread([target], sources));
        };
        return Utils;
    }());

    var DEPENDENCIES_FILES = {
        acuantSDK: { path: 'AcuantJavascriptWebSdk.min.js', id: 'scriptAcuantSDK' },
        acuantCamera: { path: 'AcuantCamera.min.js', id: 'scriptAcuantCamera' },
    };
    var DEPENDENCIES_TO_REMOVE = ['scriptAcuantSDK', 'scriptAcuantCamera', 'acuantConfig'];
    var NgFadAcuantComponent = /** @class */ (function () {
        function NgFadAcuantComponent(service) {
            var _this = this;
            this.service = service;
            this.configuration = {};
            this.idData = false;
            this.idPhoto = false;
            this.imageQuality = 1;
            this.oncomplete = new core.EventEmitter();
            this.onerror = new core.EventEmitter();
            this.showAutomaticCapture = false;
            this.showManualCapture = false;
            this.activeBlackScreen = true;
            window['onAcuantSdkLoaded'] = function () {
                console.log('entry AcuantSdkLoaded');
                _this.listenUnexpectedError();
                setTimeout(function () { return _this.activeBlackScreen = false; }, 2000);
            };
        }
        NgFadAcuantComponent.prototype.ngOnInit = function () {
            var _this = this;
            if (this.credentials && this.credentials.passivePassword && this.credentials.passiveUsername && this.credentials.acasEndpoint && this.credentials.passiveSubscriptionId) {
                this.setCustomizationStyle();
                this.setDynamicConfiguration();
                Promise.all([this.loadAcuantSDK(), this.loadAcuantCamera()]).then(function () { return _this.initializeAcuant(); }).catch();
            }
            else {
                this.onerror.emit(new ResponseError(ErrorCode.REQUIRED_CREDENTIALS));
            }
        };
        NgFadAcuantComponent.prototype.setCustomizationStyle = function () {
            this.configuration = Utils.mergeConfiguration(CONFIGURATION_DEFAULT, this.configuration);
            Utils.setCustomizationStyle(this.configuration.customization);
        };
        NgFadAcuantComponent.prototype.setDynamicConfiguration = function () {
            var script = "var acuantConfig = { path: '" + this.configuration.pathDependencies.acuantDirectory + "', jpegQuality: " + this.imageQuality + " }";
            Utils.createScript(script, 'acuantConfig');
        };
        NgFadAcuantComponent.prototype.loadAcuantSDK = function () {
            var _this = this;
            return new Promise(function (resolve) {
                return Utils.loadScript("" + _this.configuration.pathDependencies.acuantDirectory + DEPENDENCIES_FILES.acuantSDK.path, DEPENDENCIES_FILES.acuantSDK.id).then(function () {
                    window['loadAcuantSdk']();
                    console.log('execute loadAcuantSdk');
                    resolve();
                }).catch(function (error) {
                    console.log(error);
                    _this.onerror.emit(new ResponseError(ErrorCode.RESOURCES_COULD_NOT_BE_LOADED));
                });
            });
        };
        NgFadAcuantComponent.prototype.listenUnexpectedError = function () {
            var _this = this;
            if (AcuantJavascriptWebSdk) {
                AcuantJavascriptWebSdk.setUnexpectedErrorCallback(function (error) {
                    console.log(JSON.stringify(error));
                    _this.onerror.emit(new ResponseError(ErrorCode.UNEXPECTED_ACUANT_ERROR));
                });
            }
        };
        NgFadAcuantComponent.prototype.loadAcuantCamera = function () {
            var _this = this;
            return new Promise(function (resolve) {
                return Utils.loadScript("" + _this.configuration.pathDependencies.acuantDirectory + DEPENDENCIES_FILES.acuantCamera.path, DEPENDENCIES_FILES.acuantCamera.id).then(function () {
                    resolve();
                }).catch(function (error) {
                    console.log(error);
                    _this.onerror.emit(new ResponseError(ErrorCode.RESOURCES_COULD_NOT_BE_LOADED));
                });
            });
        };
        NgFadAcuantComponent.prototype.initializeAcuant = function () {
            var _this = this;
            this.showAutomaticCapture = true;
            var base64Token = btoa(this.credentials.passiveUsername + ':' + this.credentials.passivePassword);
            AcuantJavascriptWebSdk.initialize(base64Token, this.credentials.acasEndpoint, {
                onSuccess: function () {
                    if (!_this.isOldiOS())
                        AcuantJavascriptWebSdk.startWorkers(_this.initDone.bind(_this));
                    else
                        AcuantJavascriptWebSdk.startWorkers(_this.initDone.bind(_this), [AcuantJavascriptWebSdk.ACUANT_IMAGE_WORKER]);
                },
                onFail: function () {
                    _this.onerror.emit(new ResponseError(ErrorCode.FAIL_INITIALIZATION));
                }
            });
        };
        NgFadAcuantComponent.prototype.initDone = function () {
            console.log('init done');
            this.activeBlackScreen = false;
            this.startCamera();
        };
        // code of AcuantSDK
        NgFadAcuantComponent.prototype.isOldiOS = function () {
            var ua = navigator.userAgent;
            var keyPhrase = "iPhone OS";
            var keyPhrase2 = "iPad; CPU OS";
            var index = ua.indexOf(keyPhrase);
            if (index < 0) {
                keyPhrase = keyPhrase2;
                index = ua.indexOf(keyPhrase);
            }
            if (index >= 0) {
                var version = ua.substring(index + keyPhrase.length + 1, index + keyPhrase.length + 3);
                try {
                    var versionNum = parseInt(version);
                    if (versionNum && versionNum < 13) {
                        return true;
                    }
                    else {
                        return false;
                    }
                }
                catch (_) {
                    return false;
                }
            }
            else {
                return false;
            }
        };
        NgFadAcuantComponent.prototype.startCamera = function () {
            var _this = this;
            var cameraCallback = {
                onCaptured: function (response) {
                    _this.activeBlackScreen = true;
                    _this.configuration.customization.moduleCustomization.legends.initializing = _this.configuration.customization.moduleCustomization.legends.processing;
                },
                onFrameAvailable: function (response) {
                },
                onCropped: function (response) {
                    if (response) {
                        _this.imageResult = response;
                        AcuantCameraUI.end();
                        AcuantJavascriptWebSdk.endWorkers();
                        _this.showAutomaticCapture = false;
                        if (_this.documentInstance)
                            _this.uploadImage(_this.documentInstance, _this.imageResult.image.data);
                        else
                            _this.createInstance();
                    }
                    else {
                        _this.startCamera();
                    }
                }
            };
            if (AcuantCamera.isCameraSupported) {
                AcuantCameraUI.start(cameraCallback, function (error, code) {
                    console.log("error: " + error + ". code " + code);
                    _this.showAutomaticCapture = false;
                    _this.startManualCapture();
                }, { text: this.getLegends() });
            }
            else
                this.onerror.emit(new ResponseError(ErrorCode.UNSUPPORTED_CAMERA));
        };
        NgFadAcuantComponent.prototype.startManualCapture = function () {
            var _this = this;
            this.showManualCapture = true;
            var cameraCallback = {
                onCaptured: function (response) {
                    _this.activeBlackScreen = true;
                    _this.configuration.customization.moduleCustomization.legends.initializing = _this.configuration.customization.moduleCustomization.legends.processing;
                },
                onCropped: function (response) {
                    if (response) {
                        _this.imageResult = response;
                        AcuantCameraUI.end();
                        AcuantJavascriptWebSdk.endWorkers();
                        _this.showManualCapture = false;
                        if (_this.documentInstance)
                            _this.uploadImage(_this.documentInstance, _this.imageResult.image.data);
                        else
                            _this.createInstance();
                    }
                    else {
                        _this.startCamera();
                    }
                }
            };
            if (AcuantCamera.isCameraSupported) {
                AcuantCamera.startManualCapture(cameraCallback, function (error) {
                    console.log(error);
                    _this.onerror.emit(new ResponseError(ErrorCode.FAIL_INITIALIZATION_CAMERA_UI));
                });
            }
            else
                this.onerror.emit(new ResponseError(ErrorCode.UNSUPPORTED_CAMERA));
        };
        NgFadAcuantComponent.prototype.getLegends = function () {
            return {
                NONE: this.configuration.customization.moduleCustomization.legends.scan.none,
                SMALL_DOCUMENT: this.configuration.customization.moduleCustomization.legends.scan.smallDocument,
                GOOD_DOCUMENT: this.configuration.customization.moduleCustomization.legends.scan.goodDocument,
                CAPTURING: this.configuration.customization.moduleCustomization.legends.scan.capturing,
                TAP_TO_CAPTURE: this.configuration.customization.moduleCustomization.legends.scan.tapToCapture,
            };
        };
        NgFadAcuantComponent.prototype.createInstance = function () {
            var _this = this;
            this.configuration.instance.SubscriptionId = this.credentials.passiveSubscriptionId;
            var token = btoa(this.credentials.passiveUsername + ":" + this.credentials.passivePassword);
            this.service.createInstance(this.credentials.assureidEndpoint, this.configuration.instance, token).then(function (doucmentInstance) {
                _this.uploadImage(doucmentInstance, _this.imageResult.image.data);
            }).catch(function (error) { return _this.onerror.emit(new ResponseError(ErrorCode.FAIL_CREATION_INSTANCE_DOCUMENT)); });
        };
        NgFadAcuantComponent.prototype.uploadImage = function (documentInstance, image) {
            var _this = this;
            var token = btoa(this.credentials.passiveUsername + ":" + this.credentials.passivePassword);
            fetch(image).then(function (response) { return response.blob(); }).then(function (blob) {
                setTimeout(function () {
                    _this.service.uploadImage(_this.credentials.assureidEndpoint, documentInstance, token, blob, _this.side).then(function () {
                        if (_this.idData)
                            _this.getOcr(documentInstance);
                        else {
                            _this.activeBlackScreen = false;
                            _this.oncomplete.emit({ id: _this.imageResult, documentInstance: documentInstance });
                        }
                    }).catch(function (error) { return _this.onerror.emit(new ResponseError(ErrorCode.FAIL_UPLOAD_IMAGE)); });
                }, 500);
            });
        };
        NgFadAcuantComponent.prototype.getOcr = function (documentInstance) {
            var _this = this;
            var token = btoa(this.credentials.passiveUsername + ":" + this.credentials.passivePassword);
            this.service.getOcr(this.credentials.assureidEndpoint, documentInstance, token).then(function (response) {
                _this.idDataResult = Utils.parseIdData(response);
                if (_this.idPhoto)
                    _this.getFaceImage(documentInstance, _this.idDataResult);
                else {
                    _this.activeBlackScreen = false;
                    _this.oncomplete.emit({ id: _this.imageResult, idData: _this.idDataResult, documentInstance: documentInstance });
                }
            }).catch(function (error) { return _this.onerror.emit(new ResponseError(ErrorCode.FAIL_GET_OCR)); });
        };
        NgFadAcuantComponent.prototype.getFaceImage = function (documentInstance, idData) {
            var _this = this;
            var token = btoa(this.credentials.passiveUsername + ":" + this.credentials.passivePassword);
            if (idData && idData.ocr && idData.ocr.photo) {
                this.service.getFaceImage(idData.ocr.photo, token).then(function (response) {
                    _this.activeBlackScreen = false;
                    if (response)
                        _this.oncomplete.emit({ id: _this.imageResult, idData: _this.idDataResult, idPhoto: response, documentInstance: documentInstance });
                    else
                        _this.onerror.emit(new ResponseError(ErrorCode.FACE_IMAGE_NOT_FOUND));
                }).catch(function (error) { return _this.onerror.emit(new ResponseError(ErrorCode.FAIL_GET_FACE_IMAGE)); });
            }
            else {
                this.activeBlackScreen = false;
                this.onerror.emit(new ResponseError(ErrorCode.FACE_IMAGE_URL_NOT_FOUND));
            }
        };
        NgFadAcuantComponent.prototype.ngOnDestroy = function () {
            this.showAutomaticCapture = false;
            this.showManualCapture = false;
            AcuantCameraUI.end();
            AcuantJavascriptWebSdk.endWorkers();
            Utils.removeScripts(DEPENDENCIES_TO_REMOVE);
            Utils.removeCustomizationStyle();
        };
        NgFadAcuantComponent.ctorParameters = function () { return [
            { type: AcuantService }
        ]; };
        __decorate([
            core.Input()
        ], NgFadAcuantComponent.prototype, "configuration", void 0);
        __decorate([
            core.Input()
        ], NgFadAcuantComponent.prototype, "credentials", void 0);
        __decorate([
            core.Input()
        ], NgFadAcuantComponent.prototype, "side", void 0);
        __decorate([
            core.Input()
        ], NgFadAcuantComponent.prototype, "idData", void 0);
        __decorate([
            core.Input()
        ], NgFadAcuantComponent.prototype, "idPhoto", void 0);
        __decorate([
            core.Input()
        ], NgFadAcuantComponent.prototype, "imageQuality", void 0);
        __decorate([
            core.Input()
        ], NgFadAcuantComponent.prototype, "documentInstance", void 0);
        __decorate([
            core.Output()
        ], NgFadAcuantComponent.prototype, "oncomplete", void 0);
        __decorate([
            core.Output()
        ], NgFadAcuantComponent.prototype, "onerror", void 0);
        NgFadAcuantComponent = __decorate([
            core.Component({
                selector: 'ng-fad-acuant',
                template: "\n<div *ngIf=\"showAutomaticCapture\" id=\"container-acuant-camera\">\n  <div id=\"acuant-camera\"></div>\n</div>\n\n<div *ngIf=\"showManualCapture\" class=\"container-manual-capture\">\n  <div></div>\n  <div class=\"content-manual-capture\">\n    <img src=\"{{ configuration.pathDependencies.imageDirectory }}{{side == 1 ? 'id-back.svg': 'id-front.svg'}} \"/>\n    <span class=\"fad-subtitle\"> {{ configuration.customization.moduleCustomization.legends.manualCapture.instruction }} </span>\n  </div>\n  <button class=\"fad-primary\" (click)=\"startManualCapture()\"> {{ configuration.customization.moduleCustomization.legends.manualCapture.buttonNext }} </button>\n</div>\n\n<!-- black screen -->\n<div *ngIf=\"activeBlackScreen\" class=\"back-screen fad-content\">\n  <loader></loader>\n  <span> {{ configuration.customization.moduleCustomization.legends.initializing }} </span>\n</div>\n\n",
                animations: [FADE_IN_OUT_ANIMATION],
                styles: [".fad-title{font-family:var(--fad-common-title-font-family);font-size:var(--fad-common-title-font-size);font-weight:600}.fad-subtitle{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);font-weight:200}.fad-subtitle-bold{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);font-weight:600}.fad-content{font-family:var(--fad-common-content-font-family);font-size:var(--fad-common-content-font-size);font-weight:200}.fad-content-bold{font-family:var(--fad-common-content-font-family);font-size:var(--fad-common-content-font-size);font-weight:600}.fad-informative{font-family:var(--fad-common-informative-font-family);font-size:var(--fad-common-informative-font-size);font-weight:200}.fad-informative-bold{font-family:var(--fad-common-informative-font-family);font-size:var(--fad-common-informative-font-size);font-weight:600}.fad-button{font-family:var(---fad-common-button-font-family);font-size:var(--fad-common-button-font-size);font-family:var(--fad-common-button-font-family);font-size:var(--fad-common-button-font-size)}button{min-width:var(--fad-common-button-common-width);min-height:var(--fad-common-button-common-height);border-radius:var(--fad-common-button-common-border-radius);padding:var(--fad-common-button-common-padding);margin:var(--fad-common-button-common-margin);outline:var(--fad-common-button-common-outline);font-family:var(--fad-common-button-font-family);font-size:var(--fad-common-button-font-size);font-weight:300}button.fad-primary{background-color:var(--fad-common-primary-button-background-color);color:var(--fad-common-primary-button-label-color);border:var(--fad-common-primary-button-border)}button.fad-secondary{background-color:var(--fad-common-secondary-button-background-color);color:var(--fad-common-secondary-button-label-color);border:var(--fad-common-secondary-button-border)}button:disabled{background-color:var(--fad-common-primary-button-background-color-disabled);color:var(--fad-common-primary-button-label-color-disabled);border:none}.fad-button-bold{font-family:var(---fad-common-button-font-family);font-size:var(--fad-common-button-font-size);font-weight:600}.fad-link{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:#007aff;font-weight:200}.fad-link-bold{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:#007aff;font-weight:600}.fad-link-primary{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:var(--fad-common-primary-color);font-weight:200}.fad-link-primary-bold{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:var(--fad-common-primary-color);font-weight:600}.fad-button-link{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:#007aff;font-weight:200;border:1px solid #dadbe0;border-radius:7px;padding:5px;min-height:36px;width:100%;display:flex;align-items:center;justify-content:center}.fad-button-link-bold{font-family:var(--fad-common-subtitle-font-family);font-size:var(--fad-common-subtitle-font-size);color:#007aff;font-weight:600;border:1px solid #dadbe0;border-radius:7px;padding:5px;min-height:36px;width:100%;display:flex;align-items:center;justify-content:center}.fad-container-common-center{display:flex;flex-direction:column;align-items:center;justify-content:center;height:100%;width:100%;box-sizing:border-box;padding:3% 5%;text-align:center}.fad-container-common-center>img:last-of-type{margin-top:20px}.fad-container-common-center>img:first-child{margin-top:0}.fad-container-common-center>span{margin-top:10px}.fad-container-common-center>span:first-of-type{margin-top:15px}.fad-container-common-center>span:first-child{margin-top:0}.fad-container-common-space-between{display:flex;flex-direction:column;align-items:center;justify-content:space-between;height:100%;width:100%;box-sizing:border-box;padding:3% 5%;text-align:center}.fad-container-common-space-between .fad-container-title{display:flex;flex-direction:column;width:100%}.fad-container-common-space-between .fad-container-title>img:last-of-type{margin-top:20px}.fad-container-common-space-between .fad-container-title>img:first-child{margin-top:0}.fad-container-common-space-between .fad-container-title>span{margin-top:10px}.fad-container-common-space-between .fad-container-title>span:first-of-type{margin-top:15px}.fad-container-common-space-between .fad-container-title>span:first-child{margin-top:0}.fad-container-common-space-between .fad-container-title>div:last-child{margin-top:25px}#container-acuant-camera{width:100%;height:100%;display:flex;align-items:center;justify-content:center;background-color:#000}.back-screen{background-color:#000;position:fixed;width:100%;height:100%;top:0;left:0;display:flex;justify-content:center;align-items:center;flex-direction:column;color:#fff;z-index:2}.container-manual-capture{padding:3% 5%;width:100%;height:100%;display:flex;align-items:center;justify-content:space-between;box-sizing:border-box;flex-direction:column}.container-manual-capture .content-manual-capture{display:flex;flex-direction:column}.container-manual-capture .content-manual-capture span{margin:30px 0 20px}"]
            })
        ], NgFadAcuantComponent);
        return NgFadAcuantComponent;
    }());

    var LoaderComponent = /** @class */ (function () {
        function LoaderComponent() {
        }
        LoaderComponent.prototype.ngOnInit = function () {
        };
        LoaderComponent = __decorate([
            core.Component({
                selector: 'loader',
                template: "<div class=\"spinner\">\n  <div class=\"double-bounce1\"></div>\n  <div class=\"double-bounce2\"></div>\n</div>\n",
                styles: [".spinner{width:40px;height:40px;position:relative;margin:10px auto}.double-bounce1,.double-bounce2{width:100%;height:100%;border-radius:50%;background-color:#fff;opacity:.6;position:absolute;top:0;left:0;-webkit-animation:2s ease-in-out infinite sk-bounce;animation:2s ease-in-out infinite sk-bounce}.double-bounce2{-webkit-animation-delay:-1s;animation-delay:-1s}@-webkit-keyframes sk-bounce{0%,100%{-webkit-transform:scale(0)}50%{-webkit-transform:scale(1)}}@keyframes sk-bounce{0%,100%{transform:scale(0);-webkit-transform:scale(0)}50%{transform:scale(1);-webkit-transform:scale(1)}}"]
            })
        ], LoaderComponent);
        return LoaderComponent;
    }());

    var NgFadAcuantModule = /** @class */ (function () {
        function NgFadAcuantModule() {
        }
        NgFadAcuantModule = __decorate([
            core.NgModule({
                declarations: [NgFadAcuantComponent, LoaderComponent],
                imports: [common.CommonModule],
                exports: [NgFadAcuantComponent]
            })
        ], NgFadAcuantModule);
        return NgFadAcuantModule;
    }());

    exports.NgFadAcuantComponent = NgFadAcuantComponent;
    exports.NgFadAcuantModule = NgFadAcuantModule;
    exports.ɵa = FADE_IN_OUT_ANIMATION;
    exports.ɵb = AcuantService;
    exports.ɵc = LoaderComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ng-fad-acuant.umd.js.map
